﻿<!DOCTYPE html>

<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="Dashboard">
    <meta name="keyword" content="">
    <title>TagArt - Forgot Password</title>

    <!-- Favicons -->
    <link href="~/image/favicon.png" rel="icon">
    <link href="~/image/apple-touch-icon.png" rel="apple-touch-icon">

    <!-- Bootstrap core CSS -->
    @*<link href="~/theme/lib/bootstrap/css/bootstrap.css" rel="stylesheet" />*@

    <!--external css-->
    <link href="~/theme/lib/font-awesome/css/font-awesome.css" rel="stylesheet" />

    <!-- Custom styles for this template -->
    <link href="~/theme/css/style.css" rel="stylesheet" />

    <link href="~/theme/css/style-responsive.css" rel="stylesheet" />

    <style>
        .short {
            color: #dc3545;
        }

        .weak {
            color: orange;
        }

        .good {
            color: #2D98F3;
        }

        .strong {
            color: limegreen;
        }
    </style>
</head>
<body>
    <div id="login-page">
        <div class="container">
            <form class="form-login">
                <h2 class="form-login-heading">Change Password</h2>
                <input type="hidden" id="hdnUserId" name="hdnUserId" value="@ViewBag.UserId" />
                <div class="login-wrap">
                    <input type="password" id="password" maxlength="50" class="form-control" placeholder="New Password">
                    <span id="invalidNewPassword" class="field-validation-error text-danger" style="display:none">Please enter new password</span>
                    <span id="result" class="field-validation-error text-danger"></span>
                    
                    <br />
                    <input type="password" id="cnfpassword" maxlength="50" class="form-control" placeholder="Confirm Password">
                    <span id="invalidCnfPasswordlength" class="field-validation-error text-danger" style="display:none">The password must be minimum 5 characters .</span>

                     <span id="invalidCnfPassword" class="field-validation-error text-danger" style="display:none">Please enter new password again</span>
                    <span id="NotMatchPassword" class="field-validation-error text-danger" style="display:none">New Password and confirm password does not matched</span>
                    
                    <br />
                    <div class="form-box" style="text-align:center !important">
                        <span id="invalidLogin" class="field-validation-error text-danger" style="display:none;">We couldn't find your account with that information</span>
                        <span id="invalidDetails" class="field-validation-error text-danger" style="display:none;">Please enter email or user id</span>
                    </div>

                    <br />
                    <div class="form-box form-btn">
                        <center><button class="login-btn" type="button" onclick="ChangePassword()">Change Password</button></center>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <!-- js placed at the end of the document so the pages load faster -->
    <script src="~/theme/lib/jquery/jquery.min.js"></script>
    <script src="~/theme/lib/jquery/jquery.js"></script>
    <script src="~/Scripts/CommonFunction.js"></script>
    <!--BACKSTRETCH-->
    <!-- You can use an image of whatever size. This script will stretch to fit in any screen size.-->

    <script src="~/theme/lib/jquery.backstretch.min.js"></script>
    <script>
        $.backstretch("../image/login-bg.jpg", {
            speed: 500
        });
    </script>
    <script>
        $(document).ready(function () {
            if ($('#hdnUserId').val() == "0") {
                $('.banner-form').hide();
                alert("Email address not found, please resend password reset request.");
            }
        });

        $('#cnfpassword').keypress(function(event){
    var keycode = (event.keyCode ? event.keyCode : event.which);
    if(keycode == '13'){
        ChangePassword();
    }
});
        function ChangePassword() {
            var Password_txt = (CheckValueNullOrNOT($('#password').val()));
            if (!Password_txt) {
                $('#password').attr('style', 'border:1px solid red');

                $('#invalidNewPassword').show();
                $('#invalidCnfPasswordlength').hide();
                $('#password').focus();
                return;
            } else {
                if ($('#password').val().length < 5)
                {
                    $('#invalidCnfPasswordlength').show();
                    $('#password').attr('style', 'border:1px solid red');
                    $('#password').focus();
                    return;
                } else {
                    $('#invalidNewPassword').hide();
                    $('#password').attr('style', 'border:1px solid #e2e3e4');
                }

                $('#invalidNewPassword').hide();
                $('#password').attr('style', 'border:1px solid #e2e3e4');
            }
            $('#invalidCnfPasswordlength').hide();
            var ConformPassword_txt = (CheckValueNullOrNOT($('#cnfpassword').val()));
            if (!ConformPassword_txt) {
                $('#cnfpassword').attr('style', 'border:1px solid red');

                $('#NotMatchPassword').hide();
                $('#invalidCnfPassword').show();
                $('#cnfpassword').focus();
                return;
            } else {
                $('#cnfpassword').attr('style', 'border:1px solid #e2e3e4');

                if ($('#password').val() != $('#cnfpassword').val()) {
                    $('#cnfpassword').attr('style', 'border:1px solid red');

                    $('#NotMatchPassword').show();
                    $('#invalidCnfPassword').hide();
                    $('#cnfpassword').val('');
                    $('#cnfpassword').focus();
                    return;
                } else {
                    $('#NotMatchPassword').hide();
                    $('#invalidCnfPassword').hide();
                    $('#cnfpassword').attr('style', 'border:1px solid #e2e3e4');

                    if (Password_txt && ConformPassword_txt) {

                        var data = {
                            User_Id: $('#hdnUserId').val(),
                            User_Password: $('#password').val(),
                        }
                        $.ajax({
                            type: "POST",
                            dataType: "json",
                            url: '@Url.Action("PasswordChange", "Login", new { area = "" })',
                            data: { User_Id: data.User_Id, User_Password: data.User_Password },
                            success: function (data) {
                                if (data.status == "success");
                                {
                                    $('#hdnUserId').val("");
                                    $('#password').val("")
                                    alert('Password changed successfully. You can login with your TagArt account');

                                    var url = '@Url.Action("Login", "Login")';
                       
                                    window.location.href = url;
                                }
                            }
                        });
                    }
                }
            }
        }
    </script>
</body>
</html>